/*
    Stanley Designer
    Ivan Pelipenko peri4ko@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "qglview_window.h"

#include <QApplication>
#include <QDebug>
#include <QDir>


int main(int argc, char ** argv) {
	QApplication a(argc, argv);
	a.setAttribute(Qt::AA_UseHighDpiPixmaps, true);
	QGLViewWindow w;
	w.show();
	QStringList al(a.arguments());
	al.pop_front();
	foreach(QString s, al)
		w.loadFile(s);
	return a.exec();
}
